Index: CMakeLists.txt
===================================================================
--- CMakeLists.txt	(revision 54114)
+++ CMakeLists.txt	(working copy)
@@ -89,17 +89,17 @@
 # comparison
 if(EXISTS ${CMAKE_BINARY_DIR}/CMakeCache.txt)
   configure_file(${CMAKE_BINARY_DIR}/CMakeCache.txt ${CMAKE_BINARY_DIR}/CMakeCache.txt.prev COPYONLY)
-  DISTCLEAN(${CMAKE_BINARY_DIR}/CMakeCache.txt.prev)
+  distclean(${CMAKE_BINARY_DIR}/CMakeCache.txt.prev)
 endif(EXISTS ${CMAKE_BINARY_DIR}/CMakeCache.txt)
-DISTCLEAN(${CMAKE_BINARY_DIR}/CMakeCache.txt)
+distclean(${CMAKE_BINARY_DIR}/CMakeCache.txt)
 
 # Minimum required version of CMake
 cmake_minimum_required(VERSION 2.8.4)
 if(COMMAND CMAKE_POLICY)
-  CMAKE_POLICY(SET CMP0003 NEW)
-  CMAKE_POLICY(SET CMP0007 OLD)
+  cmake_policy(SET CMP0003 NEW)
+  cmake_policy(SET CMP0007 OLD)
   if(${CMAKE_VERSION} VERSION_GREATER 2.8.3)
-    CMAKE_POLICY(SET CMP0017 OLD)
+    cmake_policy(SET CMP0017 OLD)
   endif(${CMAKE_VERSION} VERSION_GREATER 2.8.3)
 endif(COMMAND CMAKE_POLICY)
 
@@ -112,7 +112,7 @@
 if(NOT BRLCAD_IS_SUBBUILD)
   set(DELTA_START "${CMAKE_BINARY_DIR}/CMakeTmp/DELTA_START")
   configure_file(${CMAKE_SOURCE_DIR}/misc/CMake/test_srcs/timedelta_start.c.in ${CMAKE_BINARY_DIR}/CMakeTmp/timedelta_start.c)
-  TRY_RUN(TIME_RESULT TIME_COMPILED
+  try_run(TIME_RESULT TIME_COMPILED
     ${CMAKE_BINARY_DIR}/CMakeTmp
     ${CMAKE_BINARY_DIR}/CMakeTmp/timedelta_start.c
     OUTPUT_VARIABLE COMPILEMESSAGES)
@@ -378,7 +378,7 @@
   # on the lib prefix for libraries if the target name is lib<target>
   function(add_library name)
     _add_library(${name} ${ARGN})
-    CMAKEFILES(${ARGN})
+    cmakefiles(${ARGN})
     if(${name} MATCHES "^lib*")
       set_target_properties(${name} PROPERTIES PREFIX "")
     endif(${name} MATCHES "^lib*")
@@ -388,7 +388,7 @@
   # Override and wrap add_executable
   function(add_executable name)
     _add_executable(${name} ${ARGN})
-    CMAKEFILES(${ARGN})
+    cmakefiles(${ARGN})
     set_property(GLOBAL APPEND PROPERTY CMAKE_EXEC_TARGET_LIST ${name})
   endfunction(add_executable)
 
@@ -423,12 +423,12 @@
       get_filename_component(item_absolute ${file} ABSOLUTE)
       # If we're not in the source dir, we can do some extra checking.
       if(NOT "${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
-	IS_SUBPATH("${CMAKE_BINARY_DIR}" "${item_absolute}" SUBPATH_TEST)
+	is_subpath("${CMAKE_BINARY_DIR}" "${item_absolute}" SUBPATH_TEST)
       else(NOT "${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
 	set(SUBPATH_TEST "0")
       endif(NOT "${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
       if("${SUBPATH_TEST}" STREQUAL "0")
-	IS_SUBPATH("${CMAKE_SOURCE_DIR}" "${item_absolute}" SUBPATH_TEST)
+	is_subpath("${CMAKE_SOURCE_DIR}" "${item_absolute}" SUBPATH_TEST)
 	if("${SUBPATH_TEST}" STREQUAL "1")
 	  set_property(GLOBAL APPEND PROPERTY CMAKE_IGNORE_FILES "${item_absolute}")
 	endif("${SUBPATH_TEST}" STREQUAL "1")
@@ -437,7 +437,7 @@
       endif("${SUBPATH_TEST}" STREQUAL "0")
     endif(NOT IS_GENERATED)
     if(NOT ${targetfile} MATCHES "distclean")
-      DISTCLEAN(${targetfile})
+      distclean(${targetfile})
     endif(NOT ${targetfile} MATCHES "distclean")
   endfunction(configure_file)
 
@@ -446,10 +446,10 @@
     _add_subdirectory(${name} ${ARGN})
     set_property(GLOBAL APPEND PROPERTY CMAKE_IGNORE_FILES "${CMAKE_CURRENT_SOURCE_DIR}/${name}")
     set_property(GLOBAL APPEND PROPERTY CMAKE_IGNORE_FILES "${CMAKE_CURRENT_SOURCE_DIR}/${name}/CMakeLists.txt")
-    DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/${name}/CMakeFiles)
-    DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/${name}/cmake_install.cmake)
+    distclean(${CMAKE_CURRENT_BINARY_DIR}/${name}/CMakeFiles)
+    distclean(${CMAKE_CURRENT_BINARY_DIR}/${name}/cmake_install.cmake)
     foreach(clearpattern ${DISTCLEAN_OUTFILES})
-      DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/${name}/${clearpattern})
+      distclean(${CMAKE_CURRENT_BINARY_DIR}/${name}/${clearpattern})
     endforeach(clearpattern ${DISTCLEAN_OUTFILES})
   endfunction(add_subdirectory)
 
@@ -514,10 +514,10 @@
     set(${status_var} 1)
   endif(UMASK_HAVE_R AND "${umask_x}" STREQUAL "xxx")
 endmacro(CHECK_UMASK)
-IF(NOT WIN32)
+if(NOT WIN32)
   exec_program(umask ARGS -S OUTPUT_VARIABLE umask_curr)
   string(STRIP "${umask_curr}" umask_curr)
-  CHECK_UMASK("${umask_curr}" UMASK_OK)
+  check_umask("${umask_curr}" UMASK_OK)
   if (NOT UMASK_OK)
     message(" ")
     message(WARNING "umask is set to ${umask_curr} - this setting is not recommended if one of the goals of this build is to generate packages. Use 'umask 022' for improved package behavior.")
@@ -525,7 +525,7 @@
       execute_process(COMMAND ${SLEEP_EXEC} 1)
     endif(SLEEP_EXEC)
   endif (NOT UMASK_OK)
-ENDIF(NOT WIN32)
+endif(NOT WIN32)
 
 #---------------------------------------------------------------------
 # Unfortunately, CMake doesn't give you variables with current day,
@@ -537,12 +537,12 @@
 set(CONFIG_TIME_MONTH_FILE "${BRLCAD_BINARY_DIR}/include/conf/CONFIG_TIME_MONTH")
 set(CONFIG_TIME_YEAR_FILE "${BRLCAD_BINARY_DIR}/include/conf/CONFIG_TIME_YEAR")
 set(CONFIG_TIMESTAMP_FILE "${BRLCAD_BINARY_DIR}/include/conf/CONFIG_TIMESTAMP")
-DISTCLEAN(${CONFIG_TIME_DAY_FILE} ${CONFIG_TIME_MONTH_FILE}
+distclean(${CONFIG_TIME_DAY_FILE} ${CONFIG_TIME_MONTH_FILE}
   ${CONFIG_TIME_YEAR_FILE} ${CONFIG_TIMESTAMP_FILE})
 file(MAKE_DIRECTORY "${BRLCAD_BINARY_DIR}/include")
 file(MAKE_DIRECTORY "${BRLCAD_BINARY_DIR}/include/conf")
 configure_file(${BRLCAD_CMAKE_DIR}/test_srcs/time.c.in ${CMAKE_BINARY_DIR}/CMakeTmp/time.c)
-TRY_RUN(TIME_RESULT TIME_COMPILED
+try_run(TIME_RESULT TIME_COMPILED
   ${CMAKE_BINARY_DIR}/CMakeTmp
   ${CMAKE_BINARY_DIR}/CMakeTmp/time.c
   OUTPUT_VARIABLE COMPILEMESSAGES)
@@ -560,7 +560,7 @@
 
 #---------------------------------------------------------------------
 # print out the title with a pretty box computed to wrap around
-BOX_PRINT("*** Configuring BRL-CAD Release ${BRLCAD_VERSION}, Build ${CONFIG_DATE} ***" "*")
+box_print("*** Configuring BRL-CAD Release ${BRLCAD_VERSION}, Build ${CONFIG_DATE} ***" "*")
 
 #---------------------------------------------------------------------
 # CMake by default provides four different configurations for multi-
@@ -749,32 +749,32 @@
   endmacro(CONFIG_H_APPEND NEW_CONTENTS)
 endif(NOT COMMAND CONFIG_H_APPEND)
 
-CONFIG_H_APPEND(BRLCAD "/**** Define statements for CMake ****/\n")
-CONFIG_H_APPEND(BRLCAD "#ifndef __CONFIG_H__\n")
-CONFIG_H_APPEND(BRLCAD "#define __CONFIG_H__\n")
+config_h_append(BRLCAD "/**** Define statements for CMake ****/\n")
+config_h_append(BRLCAD "#ifndef __CONFIG_H__\n")
+config_h_append(BRLCAD "#define __CONFIG_H__\n")
 
 # If we're building on Windows, start off with the config_win.h file
 if(WIN32)
-  CONFIG_H_APPEND(BRLCAD "#include \"config_win_cmake.h\"\n")
+  config_h_append(BRLCAD "#include \"config_win_cmake.h\"\n")
 endif(WIN32)
 
 # Set up some of the define statements for path information and other basics
-CONFIG_H_APPEND(BRLCAD "#define PACKAGE \"brlcad\"\n")
-CONFIG_H_APPEND(BRLCAD "#define PACKAGE_BUGREPORT \"http://brlcad.org\"\n")
-CONFIG_H_APPEND(BRLCAD "#define PACKAGE_NAME \"BRL-CAD\"\n")
-CONFIG_H_APPEND(BRLCAD "#define PACKAGE_STRING \"BRL-CAD ${BRLCAD_VERSION}\"\n")
-CONFIG_H_APPEND(BRLCAD "#define PACKAGE_TARNAME \"brlcad\"\n")
-CONFIG_H_APPEND(BRLCAD "#define BRLCAD_DATA \"${CMAKE_INSTALL_PREFIX}/${DATA_DIR}\"\n")
-CONFIG_H_APPEND(BRLCAD "#define BRLCAD_DATA_SUBPATH \"${DATA_DIR}\"\n")
-CONFIG_H_APPEND(BRLCAD "#define BRLCAD_ROOT \"${CMAKE_INSTALL_PREFIX}\"\n")
-CONFIG_H_APPEND(BRLCAD "#define BRLCAD_BIN_DIR \"${BIN_DIR}\"\n")
-CONFIG_H_APPEND(BRLCAD "#define BRLCAD_LIB_DIR \"${LIB_DIR}\"\n")
-CONFIG_H_APPEND(BRLCAD "#define BRLCAD_INCLUDE_DIR \"${INCLUDE_DIR}\"\n")
-CONFIG_H_APPEND(BRLCAD "#define BRLCAD_DATA_DIR \"${DATA_DIR}\"\n")
-CONFIG_H_APPEND(BRLCAD "#define BRLCAD_DOC_DIR \"${DOC_DIR}\"\n")
-CONFIG_H_APPEND(BRLCAD "#define BRLCAD_MAN_DIR \"${MAN_DIR}\"\n")
-CONFIG_H_APPEND(BRLCAD "#define PACKAGE_VERSION \"${BRLCAD_VERSION}\"\n")
-CONFIG_H_APPEND(BRLCAD "#define VERSION \"${BRLCAD_VERSION}\"\n")
+config_h_append(BRLCAD "#define PACKAGE \"brlcad\"\n")
+config_h_append(BRLCAD "#define PACKAGE_BUGREPORT \"http://brlcad.org\"\n")
+config_h_append(BRLCAD "#define PACKAGE_NAME \"BRL-CAD\"\n")
+config_h_append(BRLCAD "#define PACKAGE_STRING \"BRL-CAD ${BRLCAD_VERSION}\"\n")
+config_h_append(BRLCAD "#define PACKAGE_TARNAME \"brlcad\"\n")
+config_h_append(BRLCAD "#define BRLCAD_DATA \"${CMAKE_INSTALL_PREFIX}/${DATA_DIR}\"\n")
+config_h_append(BRLCAD "#define BRLCAD_DATA_SUBPATH \"${DATA_DIR}\"\n")
+config_h_append(BRLCAD "#define BRLCAD_ROOT \"${CMAKE_INSTALL_PREFIX}\"\n")
+config_h_append(BRLCAD "#define BRLCAD_BIN_DIR \"${BIN_DIR}\"\n")
+config_h_append(BRLCAD "#define BRLCAD_LIB_DIR \"${LIB_DIR}\"\n")
+config_h_append(BRLCAD "#define BRLCAD_INCLUDE_DIR \"${INCLUDE_DIR}\"\n")
+config_h_append(BRLCAD "#define BRLCAD_DATA_DIR \"${DATA_DIR}\"\n")
+config_h_append(BRLCAD "#define BRLCAD_DOC_DIR \"${DOC_DIR}\"\n")
+config_h_append(BRLCAD "#define BRLCAD_MAN_DIR \"${MAN_DIR}\"\n")
+config_h_append(BRLCAD "#define PACKAGE_VERSION \"${BRLCAD_VERSION}\"\n")
+config_h_append(BRLCAD "#define VERSION \"${BRLCAD_VERSION}\"\n")
 
 #----------------------------------------------------------------------
 # Decide whether to do a 32 or a 64 bit build.
@@ -799,7 +799,7 @@
 endif(MSVC)
 
 # calculate the size of a pointer if we haven't already
-CHECK_TYPE_SIZE("void *" CMAKE_SIZEOF_VOID_P)
+check_type_size("void *" CMAKE_SIZEOF_VOID_P)
 
 # still not defined?
 if(NOT CMAKE_SIZEOF_VOID_P)
@@ -828,7 +828,7 @@
 else(${BRLCAD_WORD_SIZE} MATCHES "AUTO")
   set(CMAKE_WORD_SIZE "${BRLCAD_WORD_SIZE}")
 endif(${BRLCAD_WORD_SIZE} MATCHES "AUTO")
-CONFIG_H_APPEND(BRLCAD "#define SIZEOF_VOID_P ${CMAKE_SIZEOF_VOID_P}\n")
+config_h_append(BRLCAD "#define SIZEOF_VOID_P ${CMAKE_SIZEOF_VOID_P}\n")
 
 # Enable/disable 64-bit build settings for MSVC, which is apparently
 # determined at the CMake generator level - need to override other
@@ -871,7 +871,7 @@
 if(PREVIOUS_CONFIGURE_TYPE)
   if(NOT ${PREVIOUS_CONFIGURE_TYPE} MATCHES ${CMAKE_WORD_SIZE})
     include(${BRLCAD_CMAKE_DIR}/ResetCache.cmake)
-    RESET_CACHE_file()
+    reset_cache_file()
   endif(NOT ${PREVIOUS_CONFIGURE_TYPE} MATCHES ${CMAKE_WORD_SIZE})
 endif(PREVIOUS_CONFIGURE_TYPE)
 
@@ -928,7 +928,7 @@
 # when OFF.  For multi-configuration options the build type determination
 # is made at build time, so just default to "ON".
 if(NOT CMAKE_CONFIGURATION_TYPES)
-  AUTO_OPTION(BRLCAD_BUILD_STATIC_LIBS BUILD_STATIC_LIBS "OFF" "ON")
+  auto_option(BRLCAD_BUILD_STATIC_LIBS BUILD_STATIC_LIBS "OFF" "ON")
 else(NOT CMAKE_CONFIGURATION_TYPES)
   if("${BRLCAD_BUILD_STATIC_LIBS}" STREQUAL "")
     set(BRLCAD_BUILD_STATIC_LIBS ON)
@@ -946,8 +946,8 @@
 # Option for librtserver, used to help Java programs interface with librt.
 # Find Java and JNI, and conditionalize the default setting on Java's
 # availability
-FIND_PACKAGE(Java)
-FIND_PACKAGE(JNI)
+find_package(Java)
+find_package(JNI)
 if(JNI_FOUND AND JAVA_FOUND)
   option(BRLCAD_ENABLE_RTSERVER "Enable the librtserver target." ON)
 else(JNI_FOUND AND JAVA_FOUND)
@@ -979,7 +979,7 @@
 else(MSVC)
   set(BRLCAD_BUNDLED_LIBS_DEFAULT "AUTO")
 endif(MSVC)
-BRLCAD_OPTION(${BRLCAD_BUNDLED_LIBS_DEFAULT} BRLCAD_BUNDLED_LIBS BRLCAD_BUNDLED_LIBS_ALIASES BRLCAD_BUNDLED_LIBS_DESCRIPTION)
+brlcad_option(${BRLCAD_BUNDLED_LIBS_DEFAULT} BRLCAD_BUNDLED_LIBS BRLCAD_BUNDLED_LIBS_ALIASES BRLCAD_BUNDLED_LIBS_DESCRIPTION)
 set_property(CACHE BRLCAD_BUNDLED_LIBS PROPERTY STRINGS AUTO BUNDLED SYSTEM)
 string(TOUPPER "${BRLCAD_BUNDLED_LIBS}" BRLCAD_BUNDLED_LIBS_UPPER)
 set(BRLCAD_BUNDLED_LIBS "${BRLCAD_BUNDLED_LIBS_UPPER}" CACHE STRING "Build bundled libraries." FORCE)
@@ -1066,7 +1066,7 @@
 Default depends on whether OpenGL is successfully detected -
 if it is, default is to enable.
 ")
-BRLCAD_OPTION(${OPENGL_FOUND} BRLCAD_ENABLE_OPENGL	BRLCAD_ENABLE_OPENGL_ALIASES BRLCAD_ENABLE_OPENGL_DESCRIPTION)
+brlcad_option(${OPENGL_FOUND} BRLCAD_ENABLE_OPENGL	BRLCAD_ENABLE_OPENGL_ALIASES BRLCAD_ENABLE_OPENGL_DESCRIPTION)
 
 # Enable RTGL.  Requires an enabled OpenGL.
 option(BRLCAD_ENABLE_RTGL "Enable experimental RTGL code." OFF)
@@ -1110,7 +1110,7 @@
 Default is "ON", and should only be disabled for read-only render
 work where performance is critical.
 ")
-BRLCAD_OPTION(ON BRLCAD_ENABLE_RUNTIME_DEBUG BRLCAD_ENABLE_RUNTIME_DEBUG_ALIASES BRLCAD_ENABLE_RUNTIME_DEBUG_DESCRIPTION)
+brlcad_option(ON BRLCAD_ENABLE_RUNTIME_DEBUG BRLCAD_ENABLE_RUNTIME_DEBUG_ALIASES BRLCAD_ENABLE_RUNTIME_DEBUG_DESCRIPTION)
 mark_as_advanced(BRLCAD_ENABLE_RUNTIME_DEBUG)
 if(NOT BRLCAD_ENABLE_RUNTIME_DEBUG)
   message("}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}")
@@ -1121,14 +1121,14 @@
   message("in the inevitable event of a user encountering a bug.")
   message("You have been warned.  Proceed at your own risk.")
   message("{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{")
-  CONFIG_H_APPEND(BRLCAD "/*Define to not do anything for macros that only bomb on a fatal error. */\n")
-  CONFIG_H_APPEND(BRLCAD "#define NO_BOMBING_MACROS 1\n")
-  CONFIG_H_APPEND(BRLCAD "/*Define to not perform magic number checking */\n")
-  CONFIG_H_APPEND(BRLCAD "#define NO_MAGIC_CHECKING 1\n")
-  CONFIG_H_APPEND(BRLCAD "/*Define to not check for divide by zero during ray shots */\n")
-  CONFIG_H_APPEND(BRLCAD "#define NO_BADRAY_CHECKING 1\n")
-  CONFIG_H_APPEND(BRLCAD "/*Define to not provide run-time debug facilities via rt_g.debug */\n")
-  CONFIG_H_APPEND(BRLCAD "#define NO_DEBUG_CHECKING 1\n")
+  config_h_append(BRLCAD "/*Define to not do anything for macros that only bomb on a fatal error. */\n")
+  config_h_append(BRLCAD "#define NO_BOMBING_MACROS 1\n")
+  config_h_append(BRLCAD "/*Define to not perform magic number checking */\n")
+  config_h_append(BRLCAD "#define NO_MAGIC_CHECKING 1\n")
+  config_h_append(BRLCAD "/*Define to not check for divide by zero during ray shots */\n")
+  config_h_append(BRLCAD "#define NO_BADRAY_CHECKING 1\n")
+  config_h_append(BRLCAD "/*Define to not provide run-time debug facilities via rt_g.debug */\n")
+  config_h_append(BRLCAD "#define NO_DEBUG_CHECKING 1\n")
 endif(NOT BRLCAD_ENABLE_RUNTIME_DEBUG)
 
 # Enable debug flags during compilation - we always want to use these
@@ -1141,12 +1141,12 @@
 set(BRLCAD_FLAGS_DEBUG_DESCRIPTION "
 Add compiler flags to aid in program debugging.  Defaults to ON.
 ")
-BRLCAD_OPTION(ON BRLCAD_FLAGS_DEBUG BRLCAD_FLAGS_DEBUG_ALIASES BRLCAD_FLAGS_DEBUG_DESCRIPTION)
+brlcad_option(ON BRLCAD_FLAGS_DEBUG BRLCAD_FLAGS_DEBUG_ALIASES BRLCAD_FLAGS_DEBUG_DESCRIPTION)
 
 # A variety of debugging messages in the code key off of the DEBUG
 # definition - set it according to whether we're using debug flags.
 if(BRLCAD_FLAGS_DEBUG)
-  CONFIG_H_APPEND(BRLCAD "#define DEBUG 1\n")
+  config_h_append(BRLCAD "#define DEBUG 1\n")
 endif(BRLCAD_FLAGS_DEBUG)
 
 # Build with compiler warning flags
@@ -1157,7 +1157,7 @@
 set(BRLCAD_ENABLE_COMPILER_WARNINGS_DESCRIPTION "
 Use extra compiler warning flags when compiling C/C++ code.  Defaults to ON.
 ")
-BRLCAD_OPTION(ON BRLCAD_ENABLE_COMPILER_WARNINGS
+brlcad_option(ON BRLCAD_ENABLE_COMPILER_WARNINGS
   BRLCAD_ENABLE_COMPILER_WARNINGS_ALIASES
   BRLCAD_ENABLE_COMPILER_WARNINGS_DESCRIPTION)
 mark_as_advanced(BRLCAD_ENABLE_COMPILER_WARNINGS)
@@ -1177,15 +1177,15 @@
 discovered by these flags whenever possible rather than disabling strict
 mode.
 ")
-BRLCAD_OPTION(ON BRLCAD_ENABLE_STRICT BRLCAD_ENABLE_STRICT_ALIASES BRLCAD_ENABLE_STRICT_DESCRIPTION)
+brlcad_option(ON BRLCAD_ENABLE_STRICT BRLCAD_ENABLE_STRICT_ALIASES BRLCAD_ENABLE_STRICT_DESCRIPTION)
 if(BRLCAD_ENABLE_STRICT)
   mark_as_advanced(BRLCAD_ENABLE_STRICT)
-  CONFIG_H_APPEND(BRLCAD "#define STRICT_FLAGS 1\n")
+  config_h_append(BRLCAD "#define STRICT_FLAGS 1\n")
 endif(BRLCAD_ENABLE_STRICT)
 
 # Build with compiler optimization flags.  This should normally be on for
 # release builds.
-AUTO_OPTION(BRLCAD_FLAGS_OPTIMIZATION BRLCAD_OPTIMIZED_BUILD "OFF" "ON")
+auto_option(BRLCAD_FLAGS_OPTIMIZATION BRLCAD_OPTIMIZED_BUILD "OFF" "ON")
 
 # By default, we don't want any error reports at all from src/other
 option(BRLCAD_DISABLE_SRC_OTHER_WARN "Disable warnings for src/other" ON)
@@ -1207,7 +1207,7 @@
 option(BRLCAD_ENABLE_DTRACE "Build with dtrace support" OFF)
 mark_as_advanced(BRLCAD_ENABLE_DTRACE)
 if(BRLCAD_ENABLE_DTRACE)
-  BRLCAD_INCLUDE_FILE(sys/sdt.h HAVE_SYS_SDT_H)
+  brlcad_include_file(sys/sdt.h HAVE_SYS_SDT_H)
   if(NOT HAVE_SYS_SDT_H)
     set(BRLCAD_ENABLE_DTRACE OFF)
   endif(NOT HAVE_SYS_SDT_H)
@@ -1221,7 +1221,7 @@
 endif(WIN32 AND BRLCAD_ENABLE_SMP)
 mark_as_advanced(BRLCAD_ENABLE_SMP)
 if(BRLCAD_ENABLE_SMP)
-  CONFIG_H_APPEND(BRLCAD "#define PARALLEL 1\n")
+  config_h_append(BRLCAD "#define PARALLEL 1\n")
 endif(BRLCAD_ENABLE_SMP)
 
 #----------------------------------------------------------------------
@@ -1277,7 +1277,7 @@
 to point to your locally installed fop executable file (which on Linux is
 usually a shell script with 0755 permissions).
 ")
-BRLCAD_OPTION(${EXTRADOCS_DEFAULT} BRLCAD_EXTRADOCS BRLCAD_EXTRADOCS_ALIASES BRLCAD_EXTRADOCS_DESCRIPTION)
+brlcad_option(${EXTRADOCS_DEFAULT} BRLCAD_EXTRADOCS BRLCAD_EXTRADOCS_ALIASES BRLCAD_EXTRADOCS_DESCRIPTION)
 
 include(CMakeDependentOption)
 
@@ -1285,7 +1285,7 @@
 # as well as being the most likely candidate for external viewers. Turn this
 # on unless explicitly instructed otherwise by the user or all extra
 # documentation is disabled.
-CMAKE_DEPENDENT_OPTION(BRLCAD_EXTRADOCS_HTML "Build MAN page output from DocBook documentation" ON "BRLCAD_EXTRADOCS" OFF)
+cmake_dependent_option(BRLCAD_EXTRADOCS_HTML "Build MAN page output from DocBook documentation" ON "BRLCAD_EXTRADOCS" OFF)
 mark_as_advanced(BRLCAD_EXTRADOCS_HTML)
 
 # Normally, we'll turn on man page output by default, but there is
@@ -1293,7 +1293,7 @@
 # files aren't useful and it *seriously* increases the target build
 # count/build time.  Conditionalize on the CMake MSVC variable NOT
 # being set.
-CMAKE_DEPENDENT_OPTION(BRLCAD_EXTRADOCS_MAN "Build MAN page output from DocBook documentation" ON "BRLCAD_EXTRADOCS;NOT MSVC" OFF)
+cmake_dependent_option(BRLCAD_EXTRADOCS_MAN "Build MAN page output from DocBook documentation" ON "BRLCAD_EXTRADOCS;NOT MSVC" OFF)
 mark_as_advanced(BRLCAD_EXTRADOCS_MAN)
 
 # Don't do PDF by default, and hide the option unless the tools to do it are
@@ -1312,8 +1312,8 @@
 Option that enables building of BRL-CAD's DocBook PDF-based documentation
 for man pages only.  Defaults to OFF.
 ")
-CMAKE_DEPENDENT_OPTION(BRLCAD_EXTRADOCS_PDF "Build PDF output from DocBook documentation" OFF "BRLCAD_EXTRADOCS;APACHE_FOP" OFF)
-CMAKE_DEPENDENT_OPTION(BRLCAD_EXTRADOCS_PDF_MAN "Build PDF output from DocBook documentation for man pages" ON "BRLCAD_EXTRADOCS_PDF" OFF)
+cmake_dependent_option(BRLCAD_EXTRADOCS_PDF "Build PDF output from DocBook documentation" OFF "BRLCAD_EXTRADOCS;APACHE_FOP" OFF)
+cmake_dependent_option(BRLCAD_EXTRADOCS_PDF_MAN "Build PDF output from DocBook documentation for man pages" ON "BRLCAD_EXTRADOCS_PDF" OFF)
 
 # Provide an option to enable/disable XML validation as part
 # of the DocBook build - sort of a "strict flags" mode for DocBook.
@@ -1324,7 +1324,7 @@
 # unless build target counts >1800 are beyond MSVC's practical
 # limit.  Until we either find a resolution or a way to reduce
 # the target count on MSVC, disable validation there.
-CMAKE_DEPENDENT_OPTION(BRLCAD_EXTRADOCS_VALIDATE "Perform validation for DocBook documentation" ON "BRLCAD_EXTRADOCS;BRLCAD_ENABLE_STRICT" OFF)
+cmake_dependent_option(BRLCAD_EXTRADOCS_VALIDATE "Perform validation for DocBook documentation" ON "BRLCAD_EXTRADOCS;BRLCAD_ENABLE_STRICT" OFF)
 mark_as_advanced(BRLCAD_EXTRADOCS_VALIDATE)
 
 
@@ -1367,7 +1367,7 @@
 
 # determine whether the compiler supports an 'inline' keyword variant
 include(${BRLCAD_CMAKE_DIR}/CheckCInline.cmake)
-CHECK_C_INLINE(C_INLINE)
+check_c_inline(C_INLINE)
 if(NOT C_INLINE STREQUAL "inline")
   add_definitions("-Dinline=${C_INLINE}")
 endif(NOT C_INLINE STREQUAL "inline")
@@ -1389,7 +1389,7 @@
 # functions (e.g., memcpy), and provides run-time checks on buffer
 # lengths and memory regions.
 if(${BRLCAD_DEBUG_BUILD} MATCHES "ON")
-  CONFIG_H_APPEND(BRLCAD "#define _FORTIFY_SOURCE 2\n")
+  config_h_append(BRLCAD "#define _FORTIFY_SOURCE 2\n")
 endif(${BRLCAD_DEBUG_BUILD} MATCHES "ON")
 
 #CHECK_C_COMPILER_FLAG("Wl,--no-undefined" NO_UNDEFINED_LINKER_FLAG)
@@ -1412,29 +1412,29 @@
 # The variable CMAKE_THREAD_LIBS_INIT is the one of interest
 # when writing target_link_libraries lists.
 find_package(Threads)
-BRLCAD_INCLUDE_FILE(pthread.h HAVE_PTHREAD_H)
+brlcad_include_file(pthread.h HAVE_PTHREAD_H)
 
 # Check for the C++ STL library - need to link it explicitly in
 # some compilation situations
 find_package(STL)
 
 # Check for the daemon function in -lbsd and/or -lc for adrt
-BRLCAD_CHECK_LIBRARY(BSD bsd daemon)
-BRLCAD_CHECK_LIBRARY(BSD c daemon)
+brlcad_check_library(BSD bsd daemon)
+brlcad_check_library(BSD c daemon)
 
 # Check for CoreFoundation, Carbon and Cocoa on Apple
 if(APPLE)
   include(CMakeFindFrameworks)
-  CMAKE_FIND_FRAMEWORKS(CoreFoundation)
+  cmake_find_frameworks(CoreFoundation)
   if(CoreFoundation_FRAMEWORKS)
     set(CoreFoundation_LIBRARIES "-framework CoreFoundation" CACHE FILEPATH "CoreFoundation framework" FORCE)
   endif(CoreFoundation_FRAMEWORKS)
-  CMAKE_FIND_FRAMEWORKS(Carbon)
+  cmake_find_frameworks(Carbon)
   if(Carbon_FRAMEWORKS)
     set(Carbon_LIBRARIES "-framework Carbon" CACHE FILEPATH "Carbon framework" FORCE)
   endif(Carbon_FRAMEWORKS)
-  BRLCAD_INCLUDE_FILE(Carbon/Carbon.h HAVE_CARBON_CARBON_H)
-  CMAKE_FIND_FRAMEWORKS(Cocoa)
+  brlcad_include_file(Carbon/Carbon.h HAVE_CARBON_CARBON_H)
+  cmake_find_frameworks(Cocoa)
   if(Cocoa_FRAMEWORKS)
     set(Cocoa_LIBRARIES "-framework Cocoa" CACHE FILEPATH "Cocoa framework" FORCE)
   endif(Cocoa_FRAMEWORKS)
@@ -1443,13 +1443,13 @@
 endif(APPLE)
 
 # crypt library (needed on some platforms for enigma)
-FIND_LIBRARY(CRYPT_LIBRARY NAMES crypt)
+find_library(CRYPT_LIBRARY NAMES crypt)
 mark_as_advanced(CRYPT_LIBRARY)
 
 # Do some extra Java related checks.
 if(JNI_FOUND AND JAVA_FOUND)
-  BRLCAD_INCLUDE_FILE(JavaVM/jni.h HAVE_JAVAVM_JNI_H)
-  BRLCAD_INCLUDE_FILE(jni.h HAVE_JNI_H "${JNI_INCLUDE_DIRS}")
+  brlcad_include_file(JavaVM/jni.h HAVE_JAVAVM_JNI_H)
+  brlcad_include_file(jni.h HAVE_JNI_H "${JNI_INCLUDE_DIRS}")
   if(NOT HAVE_JNI_H AND NOT HAVE_JAVAVM_JNI_H AND BRLCAD_ENABLE_RTSERVER)
     set(BRLCAD_ENABLE_RTSERVER OFF CACHE BOOL "RT server disabled due to unsatisfied Java requirements" FORCE)
     message("librtserver build requested, but JNI header not found - disabling")
@@ -1466,31 +1466,31 @@
 if(BRLCAD_ENABLE_X11)
   if(X11_Xlib_INCLUDE_PATH AND CONFIG_H_FILE)
     set(HAVE_X11_XLIB_H 1)
-    CONFIG_H_APPEND(BRLCAD "#cmakedefine HAVE_X11_XLIB_H 1\n")
+    config_h_append(BRLCAD "#cmakedefine HAVE_X11_XLIB_H 1\n")
   endif(X11_Xlib_INCLUDE_PATH AND CONFIG_H_FILE)
 endif(BRLCAD_ENABLE_X11)
 
 # math library
-BRLCAD_CHECK_LIBRARY(M m cos)
+brlcad_check_library(M m cos)
 
 # network socket library (linux, bsd)
-BRLCAD_CHECK_LIBRARY(SOCKET socket socket)
+brlcad_check_library(SOCKET socket socket)
 
 # network socket library (solaris)
-BRLCAD_CHECK_LIBRARY(NSL nsl gethostbyaddr)
+brlcad_check_library(NSL nsl gethostbyaddr)
 
 # network socket library (haiku, beos)
-BRLCAD_CHECK_LIBRARY(NETWORK network socket)
+brlcad_check_library(NETWORK network socket)
 
 # malloc library
-BRLCAD_CHECK_LIBRARY(MALLOC c mallopt)
-BRLCAD_CHECK_LIBRARY(MALLOC malloc mallopt)
+brlcad_check_library(MALLOC c mallopt)
+brlcad_check_library(MALLOC malloc mallopt)
 
 # dynamic link library
-BRLCAD_CHECK_LIBRARY(DL dl dlopen)
+brlcad_check_library(DL dl dlopen)
 
 # Solaris lexer library
-BRLCAD_CHECK_LIBRARY(SOLARIS_LEXER l yyless)
+brlcad_check_library(SOLARIS_LEXER l yyless)
 
 # *******************************************************************
 # ***             Check for Headers - Stage 5 of 9                ***
@@ -1520,91 +1520,91 @@
 # Because libtclcad, bwish and mged include Tcl headers, we need to define
 # STDC_HEADERS here - the Tcl headers do need the definition.  Just
 # define it - we require C89, so the test itself is not needed.
-CONFIG_H_APPEND(BRLCAD "#define STDC_HEADERS 1\n")
+config_h_append(BRLCAD "#define STDC_HEADERS 1\n")
 
 # AC_HEADER_SYS_WAIT
-BRLCAD_HEADER_SYS_WAIT()
+brlcad_header_sys_wait()
 # dirent.h is POSIX.1, but not present on Windows (grr)
 # so we need to check for it
-BRLCAD_INCLUDE_FILE(dirent.h HAVE_DIRENT_H)
+brlcad_include_file(dirent.h HAVE_DIRENT_H)
 
 # Need to compare this with the configure.ac list
-BRLCAD_INCLUDE_FILE(arpa/inet.h HAVE_ARPA_INET_H)
-BRLCAD_INCLUDE_FILE(curses.h HAVE_CURSES_H)
-BRLCAD_INCLUDE_FILE(dlfcn.h HAVE_DLFCN_H)
-BRLCAD_INCLUDE_FILE(dslib.h HAVE_DSLIB_H)
-BRLCAD_INCLUDE_FILE(emmintrin.h HAVE_EMMINTRIN_H)
-BRLCAD_INCLUDE_FILE(getopt.h HAVE_GETOPT_H)
-BRLCAD_INCLUDE_FILE(gl/device.h HAVE_GL_DEVICE_H)
-BRLCAD_INCLUDE_FILE(gl/glext.h HAVE_GL_GLEXT_H)
-BRLCAD_INCLUDE_FILE(gl/wglext.h HAVE_GL_WGLEXT_H)
-BRLCAD_INCLUDE_FILE(grp.h HAVE_GRP_H)
-BRLCAD_INCLUDE_FILE(inttypes.h HAVE_INTTYPES_H)
-BRLCAD_INCLUDE_FILE(io.h HAVE_IO_H)
-BRLCAD_INCLUDE_FILE(libgen.h HAVE_LIBGEN_H)
-BRLCAD_INCLUDE_FILE(memory.h HAVE_MEMORY_H)
-BRLCAD_INCLUDE_FILE(ncurses.h HAVE_NCURSES_H)
-BRLCAD_INCLUDE_FILE(netdb.h HAVE_NETDB_H)
-BRLCAD_INCLUDE_FILE(netinet/in.h HAVE_NETINET_IN_H)
-BRLCAD_INCLUDE_FILE(poll.h HAVE_POLL_H)
-BRLCAD_INCLUDE_FILE(pwd.h HAVE_PWD_H)
-BRLCAD_INCLUDE_FILE(rle.h HAVE_RLE_H)
-BRLCAD_INCLUDE_FILE(sched.h HAVE_SCHED_H)
-BRLCAD_INCLUDE_FILE(sgtty.h HAVE_SGTTY_H)
-BRLCAD_INCLUDE_FILE(stdint.h HAVE_STDINT_H)
-BRLCAD_INCLUDE_FILE(stdlib.h HAVE_STDLIB_H)
-BRLCAD_INCLUDE_FILE(string.h HAVE_STRING_H)
-BRLCAD_INCLUDE_FILE(strings.h HAVE_STRINGS_H)
-BRLCAD_INCLUDE_FILE(sys/_ioctl.h HAVE_SYS__IOCTL_H)
-BRLCAD_INCLUDE_FILE(sys/file.h HAVE_SYS_FILE_H)
-BRLCAD_INCLUDE_FILE(sys/ioctl.h HAVE_SYS_IOCTL_H)
-BRLCAD_INCLUDE_FILE(sys/ioctl_compat.h HAVE_SYS_IOCTL_COMPAT_H)
-BRLCAD_INCLUDE_FILE(sys/machd.h HAVE_SYS_MACHD_H)
-BRLCAD_INCLUDE_FILE(sys/mman.h HAVE_SYS_MMAN_H)
-BRLCAD_INCLUDE_FILE(sys/mount.h HAVE_SYS_MOUNT_H)
-BRLCAD_INCLUDE_FILE(sys/param.h HAVE_SYS_PARAM_H)
-BRLCAD_INCLUDE_FILE(sys/prctl.h HAVE_SYS_PRCTL_H)
-BRLCAD_INCLUDE_FILE(sys/resource.h HAVE_SYS_RESOURCE_H)
-BRLCAD_INCLUDE_FILE(sys/sched.h HAVE_SYS_SCHED_H)
-BRLCAD_INCLUDE_FILE(sys/select.h HAVE_SYS_SELECT_H)
-BRLCAD_INCLUDE_FILE(sys/socket.h HAVE_SYS_SOCKET_H)
-BRLCAD_INCLUDE_FILE(sys/stat.h HAVE_SYS_STAT_H)
-BRLCAD_INCLUDE_FILE(sys/sysctl.h HAVE_SYS_SYSCTL_H)
-BRLCAD_INCLUDE_FILE(sys/sysinfo.h HAVE_SYS_SYSINFO_H)
-BRLCAD_INCLUDE_FILE(sys/sysmp.h HAVE_SYS_SYSMP_H)
-BRLCAD_INCLUDE_FILE(sys/time.h HAVE_SYS_TIME_H)
-BRLCAD_INCLUDE_FILE(sys/times.h HAVE_SYS_TIMES_H)
-BRLCAD_INCLUDE_FILE(sys/types.h HAVE_SYS_TYPES_H)
-BRLCAD_INCLUDE_FILE(sys/un.h HAVE_SYS_UN_H)
-BRLCAD_INCLUDE_FILE(sys/wait.h HAVE_SYS_WAIT_H)
-BRLCAD_INCLUDE_FILE(syslog.h HAVE_SYSLOG_H)
-BRLCAD_INCLUDE_FILE(term.h HAVE_TERM_H)
-BRLCAD_INCLUDE_FILE(termcap.h HAVE_TERMCAP_H)
-BRLCAD_INCLUDE_FILE(terminfo.h HAVE_TERMINFO_H)
-BRLCAD_INCLUDE_FILE(termio.h HAVE_TERMIO_H)
-BRLCAD_INCLUDE_FILE(termios.h HAVE_TERMIOS_H)
-BRLCAD_INCLUDE_FILE(termlib.h HAVE_TERMLIB_H)
-BRLCAD_INCLUDE_FILE(tinfo.h HAVE_TINFO_H)
-BRLCAD_INCLUDE_FILE(ulocks.h HAVE_ULOCKS_H)
-BRLCAD_INCLUDE_FILE(unistd.h HAVE_UNISTD_H)
-BRLCAD_INCLUDE_FILE(windows.h HAVE_WINDOWS_H) # for QueryPerformanceCounter() on Windows
-BRLCAD_INCLUDE_FILE(winsock.h HAVE_WINSOCK_H)
+brlcad_include_file(arpa/inet.h HAVE_ARPA_INET_H)
+brlcad_include_file(curses.h HAVE_CURSES_H)
+brlcad_include_file(dlfcn.h HAVE_DLFCN_H)
+brlcad_include_file(dslib.h HAVE_DSLIB_H)
+brlcad_include_file(emmintrin.h HAVE_EMMINTRIN_H)
+brlcad_include_file(getopt.h HAVE_GETOPT_H)
+brlcad_include_file(gl/device.h HAVE_GL_DEVICE_H)
+brlcad_include_file(gl/glext.h HAVE_GL_GLEXT_H)
+brlcad_include_file(gl/wglext.h HAVE_GL_WGLEXT_H)
+brlcad_include_file(grp.h HAVE_GRP_H)
+brlcad_include_file(inttypes.h HAVE_INTTYPES_H)
+brlcad_include_file(io.h HAVE_IO_H)
+brlcad_include_file(libgen.h HAVE_LIBGEN_H)
+brlcad_include_file(memory.h HAVE_MEMORY_H)
+brlcad_include_file(ncurses.h HAVE_NCURSES_H)
+brlcad_include_file(netdb.h HAVE_NETDB_H)
+brlcad_include_file(netinet/in.h HAVE_NETINET_IN_H)
+brlcad_include_file(poll.h HAVE_POLL_H)
+brlcad_include_file(pwd.h HAVE_PWD_H)
+brlcad_include_file(rle.h HAVE_RLE_H)
+brlcad_include_file(sched.h HAVE_SCHED_H)
+brlcad_include_file(sgtty.h HAVE_SGTTY_H)
+brlcad_include_file(stdint.h HAVE_STDINT_H)
+brlcad_include_file(stdlib.h HAVE_STDLIB_H)
+brlcad_include_file(string.h HAVE_STRING_H)
+brlcad_include_file(strings.h HAVE_STRINGS_H)
+brlcad_include_file(sys/_ioctl.h HAVE_SYS__IOCTL_H)
+brlcad_include_file(sys/file.h HAVE_SYS_FILE_H)
+brlcad_include_file(sys/ioctl.h HAVE_SYS_IOCTL_H)
+brlcad_include_file(sys/ioctl_compat.h HAVE_SYS_IOCTL_COMPAT_H)
+brlcad_include_file(sys/machd.h HAVE_SYS_MACHD_H)
+brlcad_include_file(sys/mman.h HAVE_SYS_MMAN_H)
+brlcad_include_file(sys/mount.h HAVE_SYS_MOUNT_H)
+brlcad_include_file(sys/param.h HAVE_SYS_PARAM_H)
+brlcad_include_file(sys/prctl.h HAVE_SYS_PRCTL_H)
+brlcad_include_file(sys/resource.h HAVE_SYS_RESOURCE_H)
+brlcad_include_file(sys/sched.h HAVE_SYS_SCHED_H)
+brlcad_include_file(sys/select.h HAVE_SYS_SELECT_H)
+brlcad_include_file(sys/socket.h HAVE_SYS_SOCKET_H)
+brlcad_include_file(sys/stat.h HAVE_SYS_STAT_H)
+brlcad_include_file(sys/sysctl.h HAVE_SYS_SYSCTL_H)
+brlcad_include_file(sys/sysinfo.h HAVE_SYS_SYSINFO_H)
+brlcad_include_file(sys/sysmp.h HAVE_SYS_SYSMP_H)
+brlcad_include_file(sys/time.h HAVE_SYS_TIME_H)
+brlcad_include_file(sys/times.h HAVE_SYS_TIMES_H)
+brlcad_include_file(sys/types.h HAVE_SYS_TYPES_H)
+brlcad_include_file(sys/un.h HAVE_SYS_UN_H)
+brlcad_include_file(sys/wait.h HAVE_SYS_WAIT_H)
+brlcad_include_file(syslog.h HAVE_SYSLOG_H)
+brlcad_include_file(term.h HAVE_TERM_H)
+brlcad_include_file(termcap.h HAVE_TERMCAP_H)
+brlcad_include_file(terminfo.h HAVE_TERMINFO_H)
+brlcad_include_file(termio.h HAVE_TERMIO_H)
+brlcad_include_file(termios.h HAVE_TERMIOS_H)
+brlcad_include_file(termlib.h HAVE_TERMLIB_H)
+brlcad_include_file(tinfo.h HAVE_TINFO_H)
+brlcad_include_file(ulocks.h HAVE_ULOCKS_H)
+brlcad_include_file(unistd.h HAVE_UNISTD_H)
+brlcad_include_file(windows.h HAVE_WINDOWS_H) # for QueryPerformanceCounter() on Windows
+brlcad_include_file(winsock.h HAVE_WINSOCK_H)
 
 # C++
-BRLCAD_INCLUDE_FILE_CXX(istream HAVE_ISTREAM)
-BRLCAD_INCLUDE_FILE_CXX(limits HAVE_LIMITS)
+brlcad_include_file_cxx(istream HAVE_ISTREAM)
+brlcad_include_file_cxx(limits HAVE_LIMITS)
 
 # Other special-case tests that need custom macros
-BRLCAD_CHECK_BASENAME()
-BRLCAD_CHECK_DIRNAME()
+brlcad_check_basename()
+brlcad_check_dirname()
 
 # OpenGL headers
 if(BRLCAD_ENABLE_OPENGL)
   if(OPENGL_INCLUDE_DIR_GL)
-    CONFIG_H_APPEND(BRLCAD "#define HAVE_GL_GL_H 1\n")
+    config_h_append(BRLCAD "#define HAVE_GL_GL_H 1\n")
   endif(OPENGL_INCLUDE_DIR_GL)
   if(OPENGL_INCLUDE_DIR_GLX)
-    CONFIG_H_APPEND(BRLCAD "#define HAVE_GL_GLX_H 1\n")
+    config_h_append(BRLCAD "#define HAVE_GL_GLX_H 1\n")
   endif(OPENGL_INCLUDE_DIR_GLX)
 endif(BRLCAD_ENABLE_OPENGL)
 
